petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetOwnershipIS

Get row and column ownership as index sets

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetOwnershipIS(Mat A,IS *rows,IS *cols)

Not Collective Many br

### Input Arguments

A -matrix of type Elemental Many br

### Output Arguments

| rows | - rows in which this process owns elements Many br
| cols | - columns in which this process owns elements Many br

Many br

### See Also

MatGetOwnershipRange(), MatGetOwnershipRangeColumn(), MatSetValues(), MATELEMENTAL, MatSetValues()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages